--- old/usr/src/cmd/amt/Makefile.com	Mon Aug 28 15:08:07 2017
+++ new/usr/src/cmd/amt/Makefile.com	Mon Aug 28 15:08:07 2017
@@ -20,6 +20,7 @@
 # CDDL HEADER END
 #
 #
+# Copyright 2017 Gary Mills
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -37,6 +38,9 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# Suppress errors for: p1 probe
+amt.o := CERRWARN += -_gcc=-Wno-unused-but-set-variable
+
 CLEANFILES	+= $(PROG) $(OBJS)
 
 .KEEP_STATE:
--- old/usr/src/cmd/keyserv/Makefile	Mon Aug 28 15:08:07 2017
+++ new/usr/src/cmd/keyserv/Makefile	Mon Aug 28 15:08:08 2017
@@ -19,6 +19,7 @@
 # CDDL HEADER END
 #
 #
+# Copyright 2017 Gary Mills
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -74,6 +75,9 @@
 CERRWARN +=	-_gcc=-Wno-address
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# Suppress error: typedef locally defined but not used
+keyserv.o := CERRWARN += -_gcc=-Wno-unused-local-typedefs
+
 LDLIBS +=	-lnsl
 chkey :=	LDLIBS += -lsldap
 keyserv :=	LDLIBS += -lmp
--- old/usr/src/cmd/rpcbind/Makefile	Mon Aug 28 15:08:08 2017
+++ new/usr/src/cmd/rpcbind/Makefile	Mon Aug 28 15:08:08 2017
@@ -23,6 +23,7 @@
 # Use is subject to license terms.
 #
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2017 Gary Mills
 #
 
 PROG=		rpcbind
@@ -39,6 +40,9 @@
 
 include ../Makefile.cmd
 
+# Suppress error: typedef locally defined but not used
+rpcb_svc_com.o := CERRWARN += -_gcc=-Wno-unused-local-typedefs
+
 ROOTMANIFESTDIR=	$(ROOTSVCNETWORKRPC)
 
 CPPFLAGS= -I. -DPORTMAP $(CPPFLAGS.master)
--- old/usr/src/cmd/sendmail/aux/Makefile	Mon Aug 28 15:08:08 2017
+++ new/usr/src/cmd/sendmail/aux/Makefile	Mon Aug 28 15:08:08 2017
@@ -18,6 +18,7 @@
 #
 # CDDL HEADER END
 #
+# Copyright 2017 Gary Mills
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -55,6 +56,9 @@
 vacation :=	LDLIBS += -lldap
 $(ROOTLIBSMTPSM)/mailq :=	FILEMODE = 4555
 
+# Suppress the error for: verbose
+editmap.o := CERRWARN += -_gcc=-Wno-unused-but-set-variable
+
 INCPATH=	-I../src -I../db -I../include
 
 ENVDEF=		-DNOT_SENDMAIL
--- old/usr/src/cmd/sendmail/db/Makefile	Mon Aug 28 15:08:08 2017
+++ new/usr/src/cmd/sendmail/db/Makefile	Mon Aug 28 15:08:08 2017
@@ -20,11 +20,10 @@
 #
 
 #
+# Copyright 2017 Gary Mills
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cmd/sendmail/db/Makefile
 #
 
@@ -58,6 +57,68 @@
 
 libdb=	libdb.a
 
+# Suppress errors for: flags info notused1 notused2 notused3
+bt_cursor.o \
+    bt_rec.o \
+    btree_auto.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: isdeleted dbp t ch i
+bt_recno.o \
+    bt_stat.o \
+    btree_auto.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-variable
+# Suppress errors for: notused1 notused2 notused3 pg dbenv info logp redo
+#     key data flags
+db_auto.o \
+    db_conv.o \
+    db_join.o \
+    db_dispatch.o \
+    db_rec.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: ret ch i save_indx grow_region
+db_am.o \
+    db_auto.o \
+    db_dup.o \
+    db_join.o \
+    db_region.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-variable
+# Suppress errors for: key
+dbm.o := CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: dbp notused1 notused2 notused3 info spp db_malloc flags
+hash.o \
+    hash_auto.o \
+    hash_rec.o \
+    hash_stat.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: ch i mpf
+hash_auto.o \
+    hash_rec.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-variable
+# Suppress error for: flags
+lock.o := CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: notused1 notused2 notused3 lsnp info
+log_auto.o \
+    log_rec.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: off fd
+mutex.o := CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress error for: path
+os_map.o := CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: notused1 notused2 notused3 logp redo
+txn_auto.o \
+    txn_rec.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress error for: locker ch i
+txn.o \
+    txn_auto.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-variable
+# Suppress errors for: xa_info handle retval rmid flags fdp
+xa.o \
+    xa_db.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress error for: xid
+xa_map.o := CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+
 .KEEP_STATE:
 all: $(libdb)
 
--- old/usr/src/cmd/sendmail/src/Makefile	Mon Aug 28 15:08:08 2017
+++ new/usr/src/cmd/sendmail/src/Makefile	Mon Aug 28 15:08:08 2017
@@ -19,7 +19,7 @@
 # CDDL HEADER END
 #
 
-# Copyright (c) 2011 Gary Mills
+# Copyright (c) 2017 Gary Mills
 
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
@@ -41,6 +41,9 @@
 
 SRCS=	$(OBJS:%.o=%.c)
 
+# Suppress the error for: align
+conf.o := CERRWARN += -_gcc=-Wno-unused-but-set-variable
+
 MAPFILES =	$(MAPFILE.INT) $(MAPFILE.NGB)
 LDFLAGS +=	$(MAPFILES:%=-M%)
 
--- old/usr/src/cmd/sgs/libld/Makefile.com	Mon Aug 28 15:08:08 2017
+++ new/usr/src/cmd/sgs/libld/Makefile.com	Mon Aug 28 15:08:08 2017
@@ -20,6 +20,7 @@
 #
 
 #
+# Copyright 2017 Gary Mills
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -94,6 +95,10 @@
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-type-limits
 
+# Suppress the error for: _vdp
+pics/version32.o pics/version64.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-variable
+
 # Location of the shared relocation engines maintained under usr/src/uts.
 #
 KRTLD_I386 = $(SRCBASE)/uts/$(VAR_PLAT_i386)/krtld
--- old/usr/src/cmd/sgs/prof/Makefile.com	Mon Aug 28 15:08:08 2017
+++ new/usr/src/cmd/sgs/prof/Makefile.com	Mon Aug 28 15:08:08 2017
@@ -19,6 +19,7 @@
 # CDDL HEADER END
 #
 #
+# Copyright 2017 Gary Mills
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -48,5 +49,8 @@
 LINTFLAGS +=	-x
 CLEANFILES +=	$(LINTOUTS)
 
+# Suppress the error for: s_inv
+prof.o := CERRWARN += -_gcc=-Wno-unused-but-set-variable
+
 %.o:		../common/%.c
 		$(COMPILE.c) $<
--- old/usr/src/cmd/svc/configd/Makefile	Mon Aug 28 15:08:08 2017
+++ new/usr/src/cmd/svc/configd/Makefile	Mon Aug 28 15:08:08 2017
@@ -23,6 +23,7 @@
 # Use is subject to license terms.
 #
 # Copyright 2015 RackTop Systems.
+# Copyright 2017 Gary Mills
 #
 
 MYPROG = svc.configd
@@ -95,6 +96,9 @@
 OBJS += $(OBJSQLITE)
 LDLIBS += $(LIBSQLITE)
 
+# Suppress error for: event_id
+rc_node-native.o := CERRWARN += -_gcc=-Wno-unused-but-set-variable
+
 install := TARGET = install
 clobber := TARGET = clobber
 
--- old/usr/src/cmd/svr4pkg/pkgadm/Makefile	Mon Aug 28 15:08:08 2017
+++ new/usr/src/cmd/svr4pkg/pkgadm/Makefile	Mon Aug 28 15:08:08 2017
@@ -20,6 +20,7 @@
 #
 
 #
+# Copyright 2017 Gary Mills
 # Copyright (c) 2017 Peter Tribble.
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
@@ -34,6 +35,9 @@
 
 LDLIBS	+=	-lpkg -ladm -lgen
 
+# Suppress errors for: funcSigint funcSighup pls pld
+lock.o := CERRWARN += -_gcc=-Wno-unused-but-set-variable
+
 .KEEP_STATE:
 all:            $(PROG)
 
--- old/usr/src/cmd/syslogd/Makefile.com	Mon Aug 28 15:08:09 2017
+++ new/usr/src/cmd/syslogd/Makefile.com	Mon Aug 28 15:08:09 2017
@@ -18,6 +18,7 @@
 #
 # CDDL HEADER END
 #
+# Copyright 2017 Gary Mills
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -41,6 +42,9 @@
 # there's some extra utility code defined but not used.
 LINTFLAGS	+= -erroff=E_NAME_DEF_NOT_USED2
 
+# Suppress error for: prev
+list.o		:= CERRWARN += -_gcc=-Wno-unused-but-set-variable
+
 VARSYSLOG=	syslog
 VARAUTHLOG=	authlog
 ROOTVARLOGD=	$(ROOT)/var/log
--- old/usr/src/cmd/vi/port/Makefile	Mon Aug 28 15:08:09 2017
+++ new/usr/src/cmd/vi/port/Makefile	Mon Aug 28 15:08:09 2017
@@ -20,6 +20,7 @@
 #
 
 #
+# Copyright 2017 Gary Mills
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -61,6 +62,10 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-address
 
+# Suppress errors for: tmp1 n
+ex_vmain.o exobjs.xpg4/ex_vmain.o exobjs.xpg6/ex_vmain.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-variable
+
 #
 # For message catalogue files
 #
--- old/usr/src/cmd/ypcmd/ypupdated/Makefile	Mon Aug 28 15:08:09 2017
+++ new/usr/src/cmd/ypcmd/ypupdated/Makefile	Mon Aug 28 15:08:09 2017
@@ -19,6 +19,7 @@
 # CDDL HEADER END
 #
 #
+# Copyright 2017 Gary Mills
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -55,6 +56,9 @@
 CERRWARN +=		-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=		-_gcc=-Wno-unused-variable
 
+# Suppress error: typedef locally defined but not used
+rpc.ypupdated.o := CERRWARN += -_gcc=-Wno-unused-local-typedefs
+
 CLOBBERFILES += ypupdated_prot.h
 
 #conditional assignments
--- old/usr/src/cmd/fs.d/autofs/Makefile	Mon Aug 28 15:08:09 2017
+++ new/usr/src/cmd/fs.d/autofs/Makefile	Mon Aug 28 15:08:09 2017
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2015 RackTop Systems.
+# Copyright 2017 Gary Mills
 #
 
 FSTYPE=		autofs
@@ -98,6 +99,11 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# Suppress the error for: lp
+ns_files.o :=	CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress the error for: lastread
+autod_nfs.o :=	CERRWARN += -_gcc=-Wno-unused-but-set-variable
+
 OBJS=		$(AUTOOBJS) $(MOUNTOBJS) $(TYPEOBJS) \
 		$(SHAREOBJS) $(UNSHAREOBJS)
 
--- old/usr/src/cmd/fs.d/nfs/rquotad/Makefile	Mon Aug 28 15:08:09 2017
+++ new/usr/src/cmd/fs.d/nfs/rquotad/Makefile	Mon Aug 28 15:08:09 2017
@@ -20,6 +20,7 @@
 # CDDL HEADER END
 #
 #
+# Copyright 2017 Gary Mills
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
 
@@ -38,6 +39,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 LDLIBS += -lnsl
 
+# Suppress error: typedef locally defined but not used
+rpc.rquotad.o := CERRWARN += -_gcc=-Wno-unused-local-typedefs
+
 $(TYPEPROG):	$(OBJS)
 		$(LINK.c) -o $@ $(LDLIBS) $(OBJS)
 		$(POST_PROCESS)
--- old/usr/src/cmd/gss/gssd/Makefile	Mon Aug 28 15:08:09 2017
+++ new/usr/src/cmd/gss/gssd/Makefile	Mon Aug 28 15:08:09 2017
@@ -19,6 +19,7 @@
 # CDDL HEADER END
 #
 #
+# Copyright 2017 Gary Mills
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -75,6 +76,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# Suppress error: typedef locally defined but not used
+gssd_proc.o := CERRWARN += -_gcc=-Wno-unused-local-typedefs
+
 LDLIBS += -lgss -lnsl
 
 gssd :=	MAPFILES = $(MAPFILE.INT) $(MAPFILE.NGB)
